
#ifndef CLASS019_HPP
#define CLASS019_HPP
class Disability
	{
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,M)">
:/%Description%/

Rationale: 2.3 abstract message def

OpenIssue: 
/%hxID%/4908

*/

	/*design comment 
:/%Description%/Information about non-permanent disabilities.  (Permanent disabilities are represented by Person.disability_cd.)

Rationale: DB1 segment

OpenIssue: How should this be associated with the Patient_encounter class? See DB1-4
/%hxID%/4721
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment effective_dt 
:/%Description%/The date that this administrative disability became effective.

Rationale: DB1-5

OpenIssue: 
/%Datatype%/DT
/%hxID%/4786
/%HL7v23Field%/01287
*/
	int effective_dt;
	/*design comment return_to_work_auth_dt 
:/%Description%/The date the person was authorized to return to work.

Rationale: DB1-7

OpenIssue: 
/%Datatype%/DT
/%hxID%/4787
/%HL7v23Field%/01289
*/
	int return_to_work_auth_dt;
	/*design comment termination_dt 
:/%Description%/The date that this disability ended.

Rationale: DB1-6

OpenIssue: 
/%Datatype%/DT
/%hxID%/4788
/%HL7v23Field%/01288
*/
	int termination_dt;
	/*design comment unable_to_work_effective_dt 
:/%Description%/The date the person was unable to work due to this disability.

Rationale: DB1-8

OpenIssue: 
/%Datatype%/DT
/%hxID%/4789
/%HL7v23Field%/01290
*/
	int unable_to_work_effective_dt;
	};

#endif
