
#ifndef CLASS042_HPP
#define CLASS042_HPP
class Healthcare_service_provider
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_service_provider" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Clinical_observation_provider with Clinical_observation_provider <"participates_as (0,M)", "has_as_participant (1,1)">
:/%Description%/
/%hxID%/1105

*/
	/*design assoc Producer_Of_Master_Service with Producer_Of_Master_Service <"participates_as (0,M)", "has_as_participant (1,1)">
:/%Description%/
/%hxID%/4918

*/
	/*design assoc Service_event_provider with Service_event_provider <"participates_as (0,M)", "includes_the_participation_of (1,1)">
:/%Description%/
/%hxID%/4919

*/

	/*design comment 
:/%Description%/An organization or person responsible for the provision of healthcare services to an individual, or involved in the provision of healthcare related services.
/%hxID%/94
/%PrimarySubjectArea%/RIM_Healthcare_service_provider
*/
public:
private:
	/*design comment board_certification_type_cd 
:/%Description%/The type of board certification held by the healthcare provider.
/%hxID%/466
*/
	int board_certification_type_cd;
	/*design comment board_certified_ind 
:/%Description%/An indication that the healthcare provider is board certified.
/%hxID%/467
*/
	int board_certified_ind;
	/*design comment certification_dt 
:/%Description%/The date of certification.
/%hxID%/468
*/
	int certification_dt;
	/*design comment effective_dt 
:/%Description%/The date the stakeholder assumes the role of healthcare service provider.
/%hxID%/469
*/
	int effective_dt;
	/*design comment license_id 
:/%Description%/The unique identifier assigned to the healthcare service providers license.
/%hxID%/470
*/
	int license_id;
	/*design comment recertification_dt 
:/%Description%/The date recertification is required.
/%hxID%/471
*/
	int recertification_dt;
	/*design comment specialty_cd 
:/%Description%/A code depicting the particular subject area or branch of medical science, as practiced by a Healthcare practitioner.
/%hxID%/472
*/
	int specialty_cd;
	/*design comment termination_dt 
:/%Description%/The date the stakeholder is no longer in the role of Healthcare service provider.
/%hxID%/473
*/
	int termination_dt;
	};

#endif
