
#ifndef CLASS044_HPP
#define CLASS044_HPP
#include "Class042.hpp"
class Individual_healthcare_practitioner: public Healthcare_service_provider
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_service_provider" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design part Individual_healthcare_provider_slot class Individual_healthcare_provider_slot <"is scheduled by (0,m)", "is a scheduleable unit for (1,1)">
:/%Description%/
/%hxID%/5060

*/
	/*design assoc Individual_healthcare_provider_group with Individual_healthcare_provider_group <"belongs_to (0,m)", "contains (1,m)">
:/%Description%/
/%hxID%/4920

*/
	/*design assoc Individual_healthcare_provider_request with Individual_healthcare_provider_request <"is_requested_by (0,m)", "requests (1,1)">
:/%Description%/
/%hxID%/4921

*/
	/*design assoc Order_healthcare_practitioner with Order_healthcare_practitioner <"participates_as (0,M)", "includes_the_participation_of (1,1)">
:/%Description%/
/%hxID%/4922

*/

	/*design comment 
:/%Description%/A person in the role of a healthcare provider.
/%hxID%/4728
/%PrimarySubjectArea%/RIM_Healthcare_service_provider
*/
public:
private:
	/*design comment desc 
:/%Description%/Free form text description of the healthcare practitioner.
/%hxID%/4818
*/
	int desc;
	/*design comment fellowship_field_cd 
:/%Description%/The fellowship field of a physician.
/%hxID%/4819
*/
	int fellowship_field_cd;
	/*design comment graduate_school_nm 
:/%Description%/The name of the graduate school attended by the healthcare practitioner.
/%hxID%/4820
*/
	int graduate_school_nm;
	/*design comment graduation_dt 
:/%Description%/The date of graduation from graduated school.
/%hxID%/4821
*/
	int graduation_dt;
	/*design comment position_cd 
:/%Description%/A code indicating the position of a healthcare practitioner in an healthcare organization (e.g., head of department, trainee, hospital consultant, . . .).
/%hxID%/4822
*/
	int position_cd;
	/*design comment practitioner_type_cd 
:/%Description%/A code indicating the type of healthcare professional (e.g., medical doctor, nurse, pharmacist, laboratory worker, . . .).
/%hxID%/4823
*/
	int practitioner_type_cd;
	/*design comment primary_care_ind 
:/%Description%/An indication that the healthcare practitioner is a primary care provider.
/%hxID%/4824
*/
	int primary_care_ind;
	/*design comment residency_field_cd 
:/%Description%/The physician residency code.
/%hxID%/4825
*/
	int residency_field_cd;
	};

#endif
