
#ifndef CLASS049_HPP
#define CLASS049_HPP
class Insurance_certification
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Guarantor_contract" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Healthcare_benefit_plan with Healthcare_benefit_plan <"provides_validation_for (1,1)", "is_validated_by (0,M)">
:/%Description%/
/%hxID%/1112

*/
	/*design assoc Insurance_certification_contact with Insurance_certification_contact <"has_as_a_contact (1,M)", "is_a_contact_for (1,1)">
:/%Description%/
/%hxID%/1111

*/

	/*design comment 
:/%Description%/An affirmation by an insurance company that it will pay for a specified service.
/%hxID%/98
/%PrimarySubjectArea%/RIM_Guarantor_contract
*/
public:
private:
	/*design comment appeal_reason_cd 
:/%Description%/A code depicting the reason an appeal was made on a non-concur for certification.
/%Datatype%/CE
/%hxID%/487
/%HL7v23Field%/00518
*/
	int appeal_reason_cd;
	/*design comment certification_day_qty 
:/%Description%/A count of the number of days for which this certification is valid.
/%Datatype%/CM
/%hxID%/488
/%HL7v23Field%/00512
*/
	int certification_day_qty;
	/*design comment effective_dt 
:/%Description%/The date that this certification becomes effective.
/%Datatype%/DT
/%hxID%/489
/%HL7v23Field%/00507, 00510
*/
	int effective_dt;
	/*design comment id 
:/%Description%/A unique identifier for the certification assigned by the certification agency.
/%Datatype%/CX
/%hxID%/490
/%HL7v23Field%/00503
*/
	int id;
	/*design comment insurance_verification_dttm 
:/%Description%/The data and time the insurance coverage was verified.
/%Datatype%/TS
/%hxID%/491
/%HL7v23Field%/00454
*/
	int insurance_verification_dttm;
	/*design comment modification_dttm 
:/%Description%/The date/time that the certification was modified.
/%Datatype%/TS
/%hxID%/492
/%HL7v23Field%/00508
*/
	int modification_dttm;
	/*design comment non_concur_cd 
:/%Description%/A code depicting the denied request.
/%Datatype%/CE
/%hxID%/493
/%HL7v23Field%/00513
*/
	int non_concur_cd;
	/*design comment non_concur_effective_dttm 
:/%Description%/The date of the non-concurrence classification.
/%Datatype%/TS
/%hxID%/494
/%HL7v23Field%/00514
*/
	int non_concur_effective_dttm;
	/*design comment penalty_amt 
:/%Description%/The dollar amount of the penalty that will be assessed if the precertification is not performed.
/%Datatype%/CM
/%hxID%/495
/%HL7v23Field%/00506
*/
	int penalty_amt;
	/*design comment termination_dt 
:/%Description%/The date the certification ends.
/%Datatype%/DT
/%hxID%/496
/%HL7v23Field%/00511
*/
	int termination_dt;
	};

#endif
