
#ifndef CLASS062_HPP
#define CLASS062_HPP
#include "Class060.hpp"
class Master_treatment_service: public Master_service
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "RIM_Master_tables" */
	/*design in subject "RIM_Service_catalog_item" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Treatment_service_administration with Treatment_service_administration <"is_delivered_during (0,m)", "delivers (0,1)">
:/%Description%/

Rationale: link medication given to service catalog

OpenIssue: 
/%hxID%/3264

*/
	/*design assoc Treatment_service_dispense with Treatment_service_dispense <"is_dispensed_during (0,m)", "dispenses (0,1)">
:/%Description%/

Rationale: link medication dispensed to service catalog

OpenIssue: 
/%hxID%/3265

*/
	/*design assoc Treatment_service_order_revision with Treatment_service_order_revision <"is_ordered_on (0,m)", "orders (0,1)">
:/%Description%/

Rationale: link medication on pharmacy_service_order_item to service catalog

OpenIssue: 
/%hxID%/3266

*/

	/*design comment 
:/%Description%/An item in the formulary.
/%hxID%/2925
/%PrimarySubjectArea%/RIM_Service_catalog_item
*/
public:
private:
	/*design comment dea_level_cd 
:/%Description%/The drug enforcement agency level for the pharmacy treatment service.
/%hxID%/3091
*/
	int dea_level_cd;
	/*design comment drug_category_cd 
:/%Description%/The drug category code of the pharmacy treatment service.
/%hxID%/3092
*/
	int drug_category_cd;
	/*design comment formulary_status_cd 
:/%Description%/A code depicting the formulary status of a dispensed medication.

Rationale: should be determined in the catalog, not at each dispense
/%hxID%/3093
*/
	int formulary_status_cd;
	/*design comment medication_form_cd 
:/%Description%/A code depicting the form of the medication comprising the pharmacy treatment service.
/%hxID%/3094
*/
	int medication_form_cd;
	/*design comment pharmaceutical_class_cd 
:/%Description%/The pharmaceutical class of the pharmacy treatment service.
/%hxID%/3095
*/
	int pharmaceutical_class_cd;
	/*design comment route_cd 
:/%Description%/A code depicting the administration route for the pharmacy treatment service.
/%hxID%/3096
*/
	int route_cd;
	/*design comment therapeutic_class_cd 
:/%Description%/A code depicting the therapeutic class of the pharmacy treatment service.
/%hxID%/3097
*/
	int therapeutic_class_cd;
	};

#endif
