
#ifndef CLASS076_HPP
#define CLASS076_HPP
class Patient_arrival
	{
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Patient_encounter with Patient_encounter <"precedes (1,1)", "is_preceded_by (0,1)">
:/%Description%/
/%hxID%/1128

*/

	/*design comment 
:/%Description%/The arrival of a patient at the location of care for a patient encounter.
/%hxID%/115
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment acuity_level_cd 
:/%Description%/A code depicting the acuteness of the patients medical condition upon arrival.
/%hxID%/578
*/
	int acuity_level_cd;
	/*design comment arrival_dttm 
:/%Description%/The date and time of the patient arrival at the care location.
/%hxID%/579
*/
	int arrival_dttm;
	/*design comment arrival_type_cd 
:/%Description%/A code classifying the types of patient arrivals.
/%hxID%/580
*/
	int arrival_type_cd;
	/*design comment medical_service_id 
:/%Description%/A unique identifier assigned to the medical service anticipated in the patient encounter.
/%hxID%/581
*/
	int medical_service_id;
	/*design comment source_of_arrival_cd 
:/%Description%/A code depicting the source of arrival. 
/%hxID%/582
*/
	int source_of_arrival_cd;
	/*design comment transport_mode_cd 
:/%Description%/A code depicting the mode of transportation used to transport the patient to the care location.
/%hxID%/583
*/
	int transport_mode_cd;
	};

#endif
