
#ifndef CLASS081_HPP
#define CLASS081_HPP
class Patient_departure
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */

	/*design comment 
:/%Description%/The end of a inpatient encounter.
/%hxID%/121
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment discharge_disposition_cd 
:/%Description%/A code depicting the disposition of the patient following discharge.
/%Datatype%/IS
/%hxID%/633
/%HL7v23Field%/00166
*/
	int discharge_disposition_cd;
	/*design comment discharge_dttm 
:/%Description%/The date and time that the patient is discharged from an  inpatient facility.
/%hxID%/634
*/
	int discharge_dttm;
	/*design comment discharge_location_id 
:/%Description%/An identifier assigned to the discharge location.
/%Datatype%/IS
/%hxID%/3108
/%HL7v23Field%/00167
*/
	int discharge_location_id;
	/*design comment expected_discharge_disp_cd 
:/%Description%/A code depicting the expected disposition of the patient upon discharge.
/%Datatype%/IS
/%hxID%/635
/%HL7v23Field%/00728
*/
	int expected_discharge_disp_cd;
	};

#endif
