
#ifndef CLASS084_HPP
#define CLASS084_HPP
class Patient_information_disclosure
	{
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/1145

*/

	/*design comment 
:/%Description%/A release of patient information to a third party.
/%hxID%/124
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment disclosure_dttm 
:/%Description%/The data and time of the disclosure.
/%hxID%/669
*/
	int disclosure_dttm;
	/*design comment info_disclosed_desc 
:/%Description%/Free form textual description of the information disclosed.
/%hxID%/670
*/
	int info_disclosed_desc;
	/*design comment info_requested_desc 
:/%Description%/Free form text description of the requested information.
/%hxID%/671
*/
	int info_requested_desc;
	/*design comment reason_cd 
:/%Description%/A code indicating why information about the patient was disclosed.
/%hxID%/672
*/
	int reason_cd;
	/*design comment requested_dttm 
:/%Description%/Date the disclosed patient information was requested.
/%hxID%/673
*/
	int requested_dttm;
	/*design comment urgency_cd 
:/%Description%/A code indicating the priority of the request by a requester.
/%hxID%/674
*/
	int urgency_cd;
	};

#endif
