
#ifndef CLASS086_HPP
#define CLASS086_HPP
class Patient_problem
	{
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C12_Patient_care" */

	/*design comment 
:/%Description%/The patient condition or complaint of the patient in a patient encounter.
/%hxID%/130
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment currently_active_ind 
:/%Description%/A indication that the patient problem is an active problem.
/%hxID%/712
*/
	int currently_active_ind;
	/*design comment id 
:/%Description%/A unique identifier of the patient's problem.
/%hxID%/713
*/
	int id;
	/*design comment nm 
:/%Description%/The name of the patient problem.
/%hxID%/714
*/
	int nm;
	/*design comment prefix_qualifier_txt 
:/%Description%/A prefix modifying the problem identified by the patient problem identifier.
/%hxID%/715
*/
	int prefix_qualifier_txt;
	/*design comment severity_cd 
:/%Description%/A code depicting the severity of the patient's problem.
/%hxID%/716
*/
	int severity_cd;
	/*design comment suffix_qualifier_txt 
:/%Description%/A prefix modifying the problem identified by the patient problem identifier.
/%hxID%/717
*/
	int suffix_qualifier_txt;
	};

#endif
