
#ifndef CLASS105_HPP
#define CLASS105_HPP
class Resource_request
	{
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Scheduling" */
	/*design in subject "STW_C10_Inter_enterprise" */
	/*design assoc Appointment_request with Appointment_request <"is_requested_by (1,1)", "requests (0,m)">
:/%Description%/
/%hxID%/4946

*/

	/*design comment 
:/%Description%/Individual resource request information about various kinds of resources that are controlled by a schedule.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4743
/%PrimarySubjectArea%/RIM_Scheduling
*/
public:
private:
	/*design comment allowable_substitutions_cd 
:/%Description%/A code indicating whether the identified resource can be substituted with an equivalent resource.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4873
/%HL7v23Field%/00895
*/
	int allowable_substitutions_cd;
	/*design comment duration_qty 
:/%Description%/The duration for which the resource is requested for this appointment, if it is different than the overall duration of the appointment

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4874
/%HL7v23Field%/00893
*/
	int duration_qty;
	/*design comment start_dttm 
:/%Description%/Date and time this resource is requested for the appointment.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4875
/%HL7v23Field%/01202
*/
	int start_dttm;
	/*design comment start_offset_qty 
:/%Description%/The offset that this resource is requested for the appointment, expressed in units of time relative to the scheduled start date/time of the appointment.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4876
*/
	int start_offset_qty;
	/*design comment status_cd 
:/%Description%/A code that describes the request status of scheduling a resource or activity, from the point of view of the filler application.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4877
/%HL7v23Field%/00889
*/
	int status_cd;
	};

#endif
