
#ifndef CLASS106_HPP
#define CLASS106_HPP
class Resource_slot
	{
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Scheduling" */
	/*design in subject "STW_C10_Inter_enterprise" */
	/*design assoc Appointment with Appointment <"is_reserved_by (0,m)", "reserves (0,m)">
:/%Description%/
/%hxID%/4947

*/

	/*design comment 
:/%Description%/An allocation of time on a schedule for a resource that must be reserved prior to its use.

Rationale: Currently in 2.3

OpenIssue: 
/%hxID%/4744
/%PrimarySubjectArea%/RIM_Scheduling
*/
public:
private:
	/*design comment offset_qty 
:/%Description%/Offset from start date and time when this allocated use will begin

Rationale: future

OpenIssue: 
/%hxID%/4878
*/
	int offset_qty;
	/*design comment quantity 
:/%Description%/Number of slots allocated to a given purpose

Rationale: future

OpenIssue: 
/%hxID%/4879
*/
	int quantity;
	/*design comment resource_type_cd 
:/%Description%/Type of resource controlled by this set of slots: provider, location, or equipment.

Rationale: future

OpenIssue: 
/%hxID%/4880
*/
	int resource_type_cd;
	/*design comment slot_state_cd 
:/%Description%/Current status for this set of slots: available, booked, or blocked.

Rationale: future

OpenIssue: 
/%hxID%/4881
*/
	int slot_state_cd;
	/*design comment start_dttm 
:/%Description%/Start date and time for this set of slots

Rationale: future

OpenIssue: 
/%hxID%/4882
*/
	int start_dttm;
	};

#endif
