
#ifndef CLASS107_HPP
#define CLASS107_HPP
class Risk_management_incident
	{
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Patient_encounter with Patient_encounter <"pertains_to (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/4948

*/

	/*design comment 
:/%Description%/An occurrence of an event pertaining or attaching to a patient encounter.
/%hxID%/4745
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment incident_cd 
:/%Description%/A code depicting the incident type (e.g., body fluid exposure, equipment problem, inpatient fall, medication error, . . .).
/%hxID%/4883
*/
	int incident_cd;
	/*design comment incident_dttm 
:/%Description%/The date and time the incident occurred.
/%hxID%/4884
*/
	int incident_dttm;
	/*design comment incident_severity_cd 
:/%Description%/A code depicting the potential impact of an incident on the quality of patient care.
/%hxID%/4885
*/
	int incident_severity_cd;
	/*design comment incident_type_cd 
:/%Description%/A code depicting a classification of the incident type (e.g., preventable, user error, . . .).
/%hxID%/4886
*/
	int incident_type_cd;
	};

#endif
