
#ifndef CLASS007_HPP
#define CLASS007_HPP
#include "Class077.hpp"
class Bad_debt_billing_account: public Patient_billing_account
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_finances" */
	/*design in subject "RIM_Patient_billing_account" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Bad_debt_collection_agency with Bad_debt_collection_agency <"is_assigned_to (1,1)", "is_assigned (0,M)">
:/%Description%/
/%hxID%/1058

*/

	/*design comment 
:/%Description%/A billing account that has been turned over for bad debt collection.
/%hxID%/43
/%PrimarySubjectArea%/RIM_Patient_billing_account
*/
public:
private:
	/*design comment bad_debt_recovery_amt 
:/%Description%/The amount recovered on a bad debt patient account.
/%Datatype%/NM
/%hxID%/190
/%HL7v23Field%/00163
*/
	int bad_debt_recovery_amt;
	/*design comment bad_debt_transfer_amt 
:/%Description%/The amount of the patient billing account that was turned over to bad debt for collection.
/%Datatype%/NM
/%hxID%/191
/%HL7v23Field%/00162
*/
	int bad_debt_transfer_amt;
	/*design comment transfer_to_bad_debt_dt 
:/%Description%/The date the patient billing account was transferred to bad debt status.
/%Datatype%/DT
/%hxID%/192
/%HL7v23Field%/00160
*/
	int transfer_to_bad_debt_dt;
	/*design comment transfer_to_bad_debt_reason_cd 
:/%Description%/A code depicting the reason the patient billing account was transferred to bad debts.
/%Datatype%/IS
/%hxID%/193
/%HL7v23Field%/00159
*/
	int transfer_to_bad_debt_reason_cd;
	};

#endif
