
#ifndef CLASS048_HPP
#define CLASS048_HPP
#include "Class083.hpp"
class Inpatient_encounter: public Patient_encounter
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Medical_records" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Patient_encounter" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Patient_admission with Patient_admission <"is_preceded_by (1,1)", "preceded (1,1)">
:/%Description%/
/%hxID%/1109

*/
	/*design assoc Patient_departure with Patient_departure <"is_terminated_by (0,1)", "terminates (1,1)">
:/%Description%/
/%hxID%/1110

*/

	/*design comment 
:/%Description%/A patient encounter involving an admission to an inpatient facility.
/%hxID%/97
/%PrimarySubjectArea%/RIM_Patient_encounter
*/
public:
private:
	/*design comment actual_days_qty 
:/%Description%/The number of actual days of an inpatient stay. The actual days quantity can not be calculated from the admission and discharge dates because of possible leaves of absence.
/%Datatype%/NM
/%hxID%/485
/%HL7v23Field%/00712
*/
	int actual_days_qty;
	/*design comment estimated_days_qty 
:/%Description%/The estimated number of days in an inpatient encounter.
/%Datatype%/NM
/%hxID%/486
/%HL7v23Field%/00711
*/
	int estimated_days_qty;
	};

#endif
