
#ifndef CLASS054_HPP
#define CLASS054_HPP
#include "Class057.hpp"
class Master_categorical_observation: public Master_observation_service
	{
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "RIM_Master_tables" */
	/*design in subject "RIM_Observation_service_catalog_item" */
	/*design in subject "STW_C04_Orders_observations" */

	/*design comment 
:/%Description%/A test/observation service for which categorical values results are generated.
/%hxID%/2919
/%PrimarySubjectArea%/RIM_Observation_service_catalog_item
*/
public:
private:
	/*design comment abnormal_result_cd 
:/%Description%/A list of the text answers that are abnormal for the test.

Rationale: Clarity, or better representation of V2.3 element name	
/%Datatype%/CE
/%hxID%/3023
/%HL7v23Field%/00639
*/
	int abnormal_result_cd;
	/*design comment allowed_value_type_cd 
:/%Description%/The allowed data type for a single categorical observation.

Rationale: closer to V2.3 name
/%hxID%/3024
/%HL7v23Field%/00570
*/
	int allowed_value_type_cd;
	/*design comment critical_result_cd 
:/%Description%/A list of coded results that are critically abnormal for this observation.

Rationale: Clarity, or better representation of V2.3 element name
/%Datatype%/CE
/%hxID%/3025
/%HL7v23Field%/00640
*/
	int critical_result_cd;
	/*design comment normal_result_cd 
:/%Description%/Normal text/codes for categorical observation.

Rationale: Clarity, or better representation of V2.3 element name
/%Datatype%/CE
/%hxID%/3026
/%HL7v23Field%/00638
*/
	int normal_result_cd;
	/*design comment preferred_coding_system_cd 
:/%Description%/Preferred coding system for observations whose categorical responses are taken from a specified table of codes.
/%Datatype%/CE
/%hxID%/3027
/%HL7v23Field%/00636
*/
	int preferred_coding_system_cd;
	/*design comment valid_answer_cd 
:/%Description%/a list of valid coded answers

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%hxID%/3028
/%HL7v23Field%/00637
*/
	int valid_answer_cd;
	};

#endif
