
#ifndef CLASS056_HPP
#define CLASS056_HPP
class Master_goal
	{
	/*design in subject "DIM_Patient_care" */
	/*design in subject "RIM_Clinical_pathway_master" */
	/*design in subject "RIM_Master_tables" */
	/*design in subject "STW_C12_Patient_care" */

	/*design comment 
:/%Description%/A master table of goals for a clinical pathway.
/%hxID%/4732
/%PrimarySubjectArea%/RIM_Clinical_pathway_master
*/
public:
private:
	/*design comment classification_cd 
:/%Description%/A classification code for the goal master.
/%hxID%/4827
*/
	int classification_cd;
	/*design comment desc 
:/%Description%/A description of the goal master.
/%hxID%/4828
*/
	int desc;
	/*design comment id 
:/%Description%/A unique identifier for the goal master.
/%hxID%/4829
*/
	int id;
	/*design comment initial_review_interval_cd 
:/%Description%/A code indicating the interval used to calculate the next goal review date.
/%hxID%/4830
*/
	int initial_review_interval_cd;
	/*design comment management_discipline_cd 
:/%Description%/A code depicting the goal caregiver discipline responsible for managing the specific goal.
/%hxID%/4831
*/
	int management_discipline_cd;
	};

#endif
