
#ifndef CLASS078_HPP
#define CLASS078_HPP
class Patient_clinical_item
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "DIM_Scheduling" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Patient" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Healthcare_service_provider with Healthcare_service_provider <"is_identified_by (1,1)", "identifies (0,M)">
:/%Description%/
/%hxID%/1133

*/
	/*design assoc Patient with Patient <"pertains_to (1,1)", "has (0,M)">
:/%Description%/
/%hxID%/1136

*/
	/*design assoc Patient_clinical_item_source with Patient_clinical_item_source <"is_obtained_from (0,1)", "is_the_source_of (0,M)">
:/%Description%/
/%hxID%/1134

*/
	/*design assoc Patient_encounter with Patient_encounter <"is_present_in (1,M)", "has (0,M)">
:/%Description%/
/%hxID%/1135

*/

	/*design comment 
:/%Description%/Information about a patient, relevant to the health or treatment of that patient, that is recorded by or on behalf of a Healthcare practitioner.



ISSUE: the specializations of patient clinical items may be duplicates of information found elsewhere in the model.  Of particular concern is the apparent overlap between diagnosis, patient condition, patient problem, and patient pathway problem.
/%hxID%/117
/%PrimarySubjectArea%/RIM_Patient
*/
public:
private:
	/*design comment assessment_dttm 
:/%Description%/The date and time the clinical state item was identified.
/%Datatype%/DT
/%hxID%/609
/%HL7v23Field%/00208
*/
	int assessment_dttm;
	/*design comment employment_related_ind 
:/%Description%/An indication that the patient condition is employment related.
/%hxID%/3107
*/
	int employment_related_ind;
	/*design comment id 
:/%Description%/A unique identifier for the clinical state item.
/%hxID%/614
*/
	int id;
	};

#endif
