
#ifndef CLASS087_HPP
#define CLASS087_HPP
#include "Class093.hpp"
class Patient_referral: public Patient_service_order
	{
	/*design in subject "COI_C036_PAFM" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Patient_encounters" */
	/*design in subject "RIM_Patient_service_order" */
	/*design in subject "STW_C10_Inter_enterprise" */

	/*design comment 
:/%Description%/An introduction of a patient from one caregiver to another caregiver or provider institution.  The referral may authorize the patient to receive Healthcare services.  A referral may authorize a specified quantity of a particular kind or level of service.  A referral may also simply be a recommendation or introduction.
/%hxID%/131
/%PrimarySubjectArea%/RIM_Patient_service_order
*/
public:
private:
	/*design comment authorized_visits_qty 
:/%Description%/The number of authorized referral visits.
/%hxID%/718
*/
	int authorized_visits_qty;
	/*design comment desc 
:/%Description%/Free form text describing the referral.
/%hxID%/719
*/
	int desc;
	/*design comment reason_txt 
:/%Description%/Free form text providing the reason for the referral.
/%hxID%/720
*/
	int reason_txt;
	};

#endif
