
#ifndef CLASS103_HPP
#define CLASS103_HPP
class Producer_Of_Master_Service
	{
	/*design in subject "RIM_Healthcare_service_provider" */
	/*design in subject "STW_C04_Orders_observations" */
	/*design assoc Master_service with Master_service <"produces (0,1)", "is_produced_by (0,m)">
:/%Description%/

Rationale: support use of Producer ID in V2.3 OM1

OpenIssue: 
/%hxID%/4945

*/

	/*design comment 
:/%Description%/The person or organization that offers to provide this service to the patient.

Rationale: support use of Producer ID in V2.3 OM1

OpenIssue: General consensus that we would like a more robust definition.  There is a question as to whether or not this has anything to do with being authorized to do the service.  There is v2.3 ambiguity that we need to fix.  Unclear if it is the name of a lab?
/%hxID%/4742
/%PrimarySubjectArea%/RIM_Healthcare_service_provider
*/
public:
private:
	/*design comment service_producing_department_type_cd 
:/%Description%/field permits the sorting of observation orders and values by the providing service's department/section.  The codes for this field should be taken from ASTM Table 15 (Diagnostic Service Codes)

Rationale: previously unmatched V2.3 field

OpenIssue: 
/%Datatype%/CE
/%hxID%/4872
/%HL7v23Field%/00601
*/
	int service_producing_department_type_cd;
	};

#endif
