
#ifndef CLASS114_HPP
#define CLASS114_HPP
class Stakeholder_affiliation
	{
	/*design in subject "DIM_Finance" */
	/*design in subject "DIM_Orders_observations" */
	/*design in subject "DIM_Patient_administration" */
	/*design in subject "DIM_Patient_care" */
	/*design in subject "DIM_Patient_referral" */
	/*design in subject "RIM_Healthcare_stakeholders" */
	/*design in subject "RIM_Stakeholder" */
	/*design in subject "STW_C03_Pt_admin_Finance" */
	/*design assoc Stakeholder with Stakeholder <"has_as_primary_participant (1,1)", "participates_as_primary_in (0,M)">
:/%Description%/
/%hxID%/1191

*/
	/*design assoc Stakeholder_affiliate with Stakeholder_affiliate <"has_as_secondary_participant (1,1)", "participates_as_secondary_in (0,M)">
:/%Description%/
/%hxID%/1192

*/

	/*design comment 
:/%Description%/A association between one stakeholder and another.
/%hxID%/163
/%PrimarySubjectArea%/RIM_Stakeholder
*/
public:
private:
	/*design comment affiliation_type_cd 
:/%Description%/A code indicating the nature of the affiliation between the associated stakeholders (e.g., employer, emergency contact, next of kin, . . .).
/%Datatype%/CE
/%hxID%/1015
/%HL7v23Field%/00196, 00415, 00482
*/
	int affiliation_type_cd;
	/*design comment desc 
:/%Description%/Description of the stakeholder affiliation.
/%hxID%/1016
*/
	int desc;
	/*design comment effective_dt 
:/%Description%/The date the affiliation between the associated stakeholders begins.
/%Datatype%/DT
/%hxID%/1017
/%HL7v23Field%/00197, 00795
*/
	int effective_dt;
	/*design comment termination_dt 
:/%Description%/The date the affiliation between the associated stakeholders ends.
/%Datatype%/DT
/%hxID%/1018
/%HL7v23Field%/00198, 00796
*/
	int termination_dt;
	};

#endif
